#!/bin/sh
cd /opt/apps/com.manager.inode.amd/files/template

INODE_DEB=`ls | grep *.deb`
if [ "$INODE_DEB" = "" ]
then
    exit 0
fi


cd ..
cp -rf ./template/*.deb ./iNodeUpdate/
cd ./iNodeUpdate
fakeroot dpkg-deb -R *.deb a

rm -rf a/opt/apps/com.client.inode.amd/files/*
rm -rf a/opt/apps/com.client.inode.amd/files/.iNode

tar -xzvf Dot1X_iNodeClient_Linux64.tar.gz
cp -rf ./iNodeClient/.iNode ./a/opt/apps/com.client.inode.amd/files/
cp -rf ./iNodeClient/* ./a/opt/apps/com.client.inode.amd/files/
sed -i "s:@INSTALL_PATH:/opt/apps/com.client.inode.amd/files:g" ./a/opt/apps/com.client.inode.amd/files/iNodeClient.sh
sed -i "s:@INSTALL_PATH:/opt/apps/com.client.inode.amd/files:g" ./a/opt/apps/com.client.inode.amd/files/iNodeClient.desktop
rm -rf ./a/opt/apps/com.client.inode.amd/files/updateexec.sh
mv ./a/opt/apps/com.client.inode.amd/files/updateForDeb.sh ./a/opt/apps/com.client.inode.amd/files/updateexec.sh

chmod -R 777 a/opt/

fakeroot dpkg-deb -b a com.client.inode.amd_up.deb

rm -rf a
rm -rf iNodeClient
rm -rf Dot1X_iNodeClient_Linux64.tar.gz
chmod 777 com.client.inode.amd_up.deb

tar -czvf Dot1X_iNodeClient_Linux64.tar.gz com.client.inode.amd_up.deb
rm -rf com.client.inode.amd_*.deb
