#!/bin/sh
cd /opt/apps/com.manager.inode.amd/files/template

INODE_DEB=`ls | grep *.deb`
if [ "$INODE_DEB" = "" ]
then
    exit 0
fi


cd ..
cp -rf ./template/*.deb ./iNodeSetup/
cd ./iNodeSetup
fakeroot dpkg-deb -R *.deb a

rm -rf a/opt/apps/com.client.inode.amd/files/*
rm -rf a/opt/apps/com.client.inode.amd/files/.iNode

tar -xzvf iNodeClient_Linux64*.tar.gz
cp -rf ./iNodeClient/.iNode ./a/opt/apps/com.client.inode.amd/files/
cp -rf ./iNodeClient/* ./a/opt/apps/com.client.inode.amd/files/
sed -i "s:@INSTALL_PATH:/opt/apps/com.client.inode.amd/files:g" ./a/opt/apps/com.client.inode.amd/files/iNodeClient.sh
sed -i "s:@INSTALL_PATH:/opt/apps/com.client.inode.amd/files:g" ./a/opt/apps/com.client.inode.amd/files/iNodeClient.desktop
rm -rf ./a/opt/apps/com.client.inode.amd/files/updateexec.sh
mv ./a/opt/apps/com.client.inode.amd/files/updateForDeb.sh ./a/opt/apps/com.client.inode.amd/files/updateexec.sh


subTitle=`cat ./a/opt/apps/com.client.inode.amd/files/custom/iNodeCustom.xml | grep '<subTitle>'`
subTitle=`echo $subTitle | cut -d'<' -f2`
subTitle=`echo $subTitle | cut -d'>' -f2`
if [ "$subTitle" != "" ]
then
    sed "s/Name=iNodeClient/Name=$subTitle/g" -i ./a/opt/apps/com.client.inode.amd/files/iNodeClient.desktop
fi

chmod -R 777 a/opt/

fakeroot dpkg-deb -b a com.client.inode.amd_E0623.deb

rm -rf a
rm -rf iNodeClient
rm -rf *.tar.gz
chmod 777 com.client.inode.amd_E06023.deb
